<?php

/**
 * Interface fileSystemInterface
 *   Wraps filesystem functions so we're not tied to the filesystem when running tests.
 */
interface fileSystemInterface {

  /**
   * Wraps file_scan_directory(). See docs there.
   */
  public function scanDirectory($dir, $mask, $options = array(), $depth = 0);

  /**
   * Wraps drupal_get_path(). See docs there.
   */
  public function getPath($project_type, $project_name);

  /**
   * Wraps file_exists().
   */
  public function exists($filename);

  /**
   * Wraps file_get_contents().
   */
  public function getContents($filename, $flags = null, $context = null, $offset = null, $maxlen = null);
}