<?php

interface patchDetectorInterface {

  /**
   *
   */
  public function __construct(fileSystemInterface $fileSystem);

  /**
   * @param $project_type
   * @param $project_name
   * @return Array
   *   Each element of the array should be info about patches, consisting of:
   *   array(
   *     'filename' => 'Patch filename relative to the Drupal root if patch is in the filesystem'.
   *     'url' => 'Patch URL if it the patch is remote',
   *     'project' => 'Project this patch is for',
   *     'issue' => 'Relevant issue number on Drupal.org if one exists',
   *     'comment' => 'Explanation of why this patch was added to the project.'
   *   )
   */
  public function getPatchesForProject($project_type, $project_name);
}