<?php

abstract class patchDetectorBase implements patchDetectorInterface {

  protected $fileSystem;

  public function __construct(fileSystemInterface $fileSystem) {
    $this->fileSystem = $fileSystem;
  }

  /**
   * Gets the link to an issue on drupal.org from a patch's filename.
   *
   * Just looks for big numbers really.
   */
  function issueLinkFromFilename($patch_filename) {

    $link = '';

    if (preg_match('/([0-9]{4,})/', $patch_filename, $matches)) {
      $title = t('Issue #@issue_id', array('@issue_id' => $matches[1]));
      $link = l($title, 'https://www.drupal.org/node/' . $matches[1]);
    }

    return $link;
  }

  /**
   * Returns the path to a project. Returns path to core if $project_type == 'core'.
   * @param $project_type
   * @param $project_name
   * @return string
   */
  function getPath($project_type, $project_name) {

    if ($project_type == 'core') {
      $project_path = DRUPAL_ROOT;
    }
    else {
      $project_path = $this->fileSystem->getPath($project_type, $project_name);
    }

    return $project_path;
  }

}