<?php

/**
 * Class patchInModuleDir
 *   Looks for patches in the root of a module's directory.
 *   Patches should be files ending in '.patch'.
 */
class patchInModuleDir extends patchDetectorBase implements patchDetectorInterface {

  public function getPatchesForProject($project_type, $project_name) {

    $project_path = $this->getPath($project_type, $project_name);

    $patch_filenames = array();

    $patches = $this->fileSystem->scanDirectory($project_path, '/\.patch$/', array('recurse' => FALSE));

    if ($patches) {
      foreach ($patches as $patch) {
        $patch_filenames[] = $patch->filename;
      }
    }

    return $patch_filenames;
  }
}
